|  | Dual Active Bridge Development Board (Part-No. ) |
Content |  |  |  |  |  |

Loading...
Searching...
No Matches
Data Fields
iso_voltage Struct Reference

`#include <C:/MCU16Projects/bitbucket/dspic33ck-power-dcdc-dual-active-bridge-development-platform/dspic33ck-dab.X/sources/device/dev_iso_voltage_sense.h>`

Collaboration diagram for iso_voltage:

## Data Fields
uint8_t | error_flag
| error_flag
uint8_t | over_voltage_flag
| Over voltage flag.
uint8_t | under_voltage_flag
| under voltage flag
uint8_t | no_signal_flag
| if no signal is present
uint16_t | voltage_raw
| voltage value raw
uint16_t | voltage_averaged
| voltage averaged raw
uint16_t | voltage_buffer [MAX_NUM_SAMPLES_ISO_BUFFER]
| buffer for averaging
uint16_t | voltage_buffer_idx
| current index of averaging buffer
uint8_t | buffer_full
| flag to monitor if full then allow averaging.
uint8_t | reset_buffer
| reset voltage_buffer

## Detailed Description

Definition at line 128 of file dev_iso_voltage_sense.h.

## Field Documentation

## ◆ buffer_full

uint8_t buffer_full

Definition at line 137 of file dev_iso_voltage_sense.h.

## ◆ error_flag

uint8_t error_flag

Definition at line 129 of file dev_iso_voltage_sense.h.

## ◆ no_signal_flag

uint8_t no_signal_flag

Definition at line 132 of file dev_iso_voltage_sense.h.

## ◆ over_voltage_flag

uint8_t over_voltage_flag

Definition at line 130 of file dev_iso_voltage_sense.h.

## ◆ reset_buffer

uint8_t reset_buffer

Definition at line 138 of file dev_iso_voltage_sense.h.

## ◆ under_voltage_flag

uint8_t under_voltage_flag

Definition at line 131 of file dev_iso_voltage_sense.h.

## ◆ voltage_averaged

uint16_t voltage_averaged

Definition at line 134 of file dev_iso_voltage_sense.h.

## ◆ voltage_buffer

uint16_t voltage_buffer[MAX_NUM_SAMPLES_ISO_BUFFER]

Definition at line 135 of file dev_iso_voltage_sense.h.

## ◆ voltage_buffer_idx

uint16_t voltage_buffer_idx

Definition at line 136 of file dev_iso_voltage_sense.h.

## ◆ voltage_raw

uint16_t voltage_raw

Definition at line 133 of file dev_iso_voltage_sense.h.

The documentation for this struct was generated from the following file:

- dspic33ck-dab.X/sources/device/dev_iso_voltage_sense.h